## org.eclipse.datatools.modelbase.derby
Interface DerbyModelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface DerbyModelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DerbyModelFactory`

Nested Class Summary
`static interface` `DerbyModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `DERBY_SCHEMA` The meta object id for the '`Derby Schema`' class.
`static int` `DERBY_SCHEMA__ASSERTIONS` The feature id for the 'Assertions' reference list.
`static int` `DERBY_SCHEMA__CATALOG` The feature id for the 'Catalog' reference.
`static int` `DERBY_SCHEMA__CHAR_SETS` The feature id for the 'Char Sets' reference list.
`static int` `DERBY_SCHEMA__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DERBY_SCHEMA__DATABASE` The feature id for the 'Database' reference.
`static int` `DERBY_SCHEMA__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DERBY_SCHEMA__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DERBY_SCHEMA__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DERBY_SCHEMA__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `DERBY_SCHEMA__INDICES` The feature id for the 'Indices' reference list.
`static int` `DERBY_SCHEMA__LABEL` The feature id for the 'Label' attribute.
`static int` `DERBY_SCHEMA__NAME` The feature id for the 'Name' attribute.
`static int` `DERBY_SCHEMA__OWNER` The feature id for the 'Owner' reference.
`static int` `DERBY_SCHEMA__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DERBY_SCHEMA__ROUTINES` The feature id for the 'Routines' reference list.
`static int` `DERBY_SCHEMA__SEQUENCES` The feature id for the 'Sequences' reference list.
`static int` `DERBY_SCHEMA__TABLES` The feature id for the 'Tables' reference list.
`static int` `DERBY_SCHEMA__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `DERBY_SCHEMA__USER_DEFINED_TYPES` The feature id for the 'User Defined Types' reference list.
`static int` `DERBY_SCHEMA_FEATURE_COUNT` The number of structural features of the 'Derby Schema' class.
`static DerbyModelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `SYNONYM` The meta object id for the '`Synonym`' class.
`static int` `SYNONYM__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYNONYM__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYNONYM__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYNONYM__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYNONYM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYNONYM__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYNONYM__INDEX` The feature id for the 'Index' reference list.
`static int` `SYNONYM__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYNONYM__LABEL` The feature id for the 'Label' attribute.
`static int` `SYNONYM__NAME` The feature id for the 'Name' attribute.
`static int` `SYNONYM__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYNONYM__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYNONYM__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYNONYM__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYNONYM__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYNONYM__TABLE` The feature id for the 'Table' reference.
`static int` `SYNONYM__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYNONYM__UDT` The feature id for the 'Udt' reference.
`static int` `SYNONYM__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYNONYM_FEATURE_COUNT` The number of structural features of the 'Synonym' class.

Method Summary
`DerbyModelFactory` `getDerbyModelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getDerbySchema()` Returns the meta object for class '`Derby Schema`'.
`org.eclipse.emf.ecore.EReference` `getSynonym_Table()` Returns the meta object for the reference '`Table`'.
`org.eclipse.emf.ecore.EClass` `getSynonym()` Returns the meta object for class '`Synonym`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DerbyModelPackage eINSTANCE

  The singleton instance of the package.

### SYNONYM

    static final int SYNONYM

  The meta object id for the '`Synonym`' class.

  See Also:
    `SynonymImpl`, `DerbyModelPackageImpl.getSynonym()`, Constant Field Values

### SYNONYM__EANNOTATIONS

    static final int SYNONYM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYNONYM__NAME

    static final int SYNONYM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYNONYM__DEPENDENCIES

    static final int SYNONYM__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYNONYM__DESCRIPTION

    static final int SYNONYM__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYNONYM__LABEL

    static final int SYNONYM__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYNONYM__COMMENTS

    static final int SYNONYM__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYNONYM__EXTENSIONS

    static final int SYNONYM__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYNONYM__PRIVILEGES

    static final int SYNONYM__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYNONYM__COLUMNS

    static final int SYNONYM__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYNONYM__SUPERTABLE

    static final int SYNONYM__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYNONYM__SUBTABLES

    static final int SYNONYM__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYNONYM__SCHEMA

    static final int SYNONYM__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYNONYM__UDT

    static final int SYNONYM__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYNONYM__TRIGGERS

    static final int SYNONYM__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYNONYM__INDEX

    static final int SYNONYM__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYNONYM__SELF_REF_COLUMN_GENERATION

    static final int SYNONYM__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYNONYM__INSERTABLE

    static final int SYNONYM__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYNONYM__UPDATABLE

    static final int SYNONYM__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYNONYM__TABLE

    static final int SYNONYM__TABLE

  The feature id for the 'Table' reference.

  See Also:
    Constant Field Values

### SYNONYM_FEATURE_COUNT

    static final int SYNONYM_FEATURE_COUNT

  The number of structural features of the 'Synonym' class.

  See Also:
    Constant Field Values

### DERBY_SCHEMA

    static final int DERBY_SCHEMA

  The meta object id for the '`Derby Schema`' class.

  See Also:
    `DerbySchemaImpl`, `DerbyModelPackageImpl.getDerbySchema()`, Constant Field Values

### DERBY_SCHEMA__EANNOTATIONS

    static final int DERBY_SCHEMA__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__NAME

    static final int DERBY_SCHEMA__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__DEPENDENCIES

    static final int DERBY_SCHEMA__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__DESCRIPTION

    static final int DERBY_SCHEMA__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__LABEL

    static final int DERBY_SCHEMA__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__COMMENTS

    static final int DERBY_SCHEMA__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__EXTENSIONS

    static final int DERBY_SCHEMA__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__PRIVILEGES

    static final int DERBY_SCHEMA__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__TRIGGERS

    static final int DERBY_SCHEMA__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__INDICES

    static final int DERBY_SCHEMA__INDICES

  The feature id for the 'Indices' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__TABLES

    static final int DERBY_SCHEMA__TABLES

  The feature id for the 'Tables' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__SEQUENCES

    static final int DERBY_SCHEMA__SEQUENCES

  The feature id for the 'Sequences' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__DATABASE

    static final int DERBY_SCHEMA__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__CATALOG

    static final int DERBY_SCHEMA__CATALOG

  The feature id for the 'Catalog' reference.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__ASSERTIONS

    static final int DERBY_SCHEMA__ASSERTIONS

  The feature id for the 'Assertions' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__USER_DEFINED_TYPES

    static final int DERBY_SCHEMA__USER_DEFINED_TYPES

  The feature id for the 'User Defined Types' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__CHAR_SETS

    static final int DERBY_SCHEMA__CHAR_SETS

  The feature id for the 'Char Sets' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__ROUTINES

    static final int DERBY_SCHEMA__ROUTINES

  The feature id for the 'Routines' reference list.

  See Also:
    Constant Field Values

### DERBY_SCHEMA__OWNER

    static final int DERBY_SCHEMA__OWNER

  The feature id for the 'Owner' reference.

  See Also:
    Constant Field Values

### DERBY_SCHEMA_FEATURE_COUNT

    static final int DERBY_SCHEMA_FEATURE_COUNT

  The number of structural features of the 'Derby Schema' class.

  See Also:
    Constant Field Values

Method Detail

### getSynonym

    org.eclipse.emf.ecore.EClass getSynonym()

  Returns the meta object for class '`Synonym`'.

  Returns:
    the meta object for class 'Synonym'.
  See Also:
    `Synonym`

### getSynonym_Table

    org.eclipse.emf.ecore.EReference getSynonym_Table()

  Returns the meta object for the reference '`Table`'.

  Returns:
    the meta object for the reference 'Table'.
  See Also:
    `Synonym.getTable()`, `getSynonym()`

### getDerbySchema

    org.eclipse.emf.ecore.EClass getDerbySchema()

  Returns the meta object for class '`Derby Schema`'.

  Returns:
    the meta object for class 'Derby Schema'.
  See Also:
    `DerbySchema`

### getDerbyModelFactory

    DerbyModelFactory getDerbyModelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.